#ifndef KTOOLBAR_H
#define KTOOLBAR_H

#include <QWidget>
#include <QPushButton>
#include "gui_g.h"
#include "ktoolbutton.h"

namespace kdk {

class KToolBarPrivate;

class GUI_EXPORT KToolBar : public QWidget
{
    Q_OBJECT
public:
    KToolBar(QWidget* parent = nullptr);

    Qt::Orientation orientation();

    void setOrientation(Qt::Orientation orientation);

    KToolButton* addButton(QIcon icon);

    KToolButton* addButton(QString string);

//    KToolButton* addButton (const QIcon&icon ,const QString text = QString());
    QList<KToolButton*> addButton(QList<QIcon> list);

    QList<KToolButton*> addButton(QList<QString> list);

    QList<KToolButton *> buttonList();

    void removeButton(KToolButton* button);

    void removeButton(int id);

    void removeButton(QList<KToolButton*> list);

    void setBorderRadius(int radius);

    int borderRadius();

    void setExclusive(bool);

    bool exclusive();

    void setCheckable(bool flag);

    bool isCheckable();

    QList<KToolButton* > checkedButton();

    void setLineVisible(bool flag);

    bool isLineVisible();

    void setBackgroundColorEnabled(bool flag);

    bool backgroundColorEnabled();

protected:
    void paintEvent(QPaintEvent* event);

private:
    Q_DECLARE_PRIVATE(KToolBar)
    KToolBarPrivate* const d_ptr;
};

}

#endif // KTOOLBAR_H
